Attribute VB_Name = "Module1"
'
' Copyright  2011 Dan Minut, http://www.mangareader.com
'
' =======================================================
' Simple example project for the DMcLgLCD wrapper for
' Logitech's G-series LCD keyboards.

' =======================================================
' This project contains the bare minimum for opening and
' displaying a monochrome or color picture box to the LCD.
' For more control try the advanced example project.

' A color G-19 keyboard can emulate a monochrome keyboard.
' If you send a LGLCD_DEVICE_BW image to a color device, it
' will switch to emulated mode.  Once you send a
' LGLCD_DEVICE_QVGA image, however, it will henceforth
' remain in color mode and not switch back to emulated mode.

' =======================================================
' The dll is not a com style dll so it does not need to
' be added into references or components.  Simply drop it
' into the same directory as your project.

' WARNING! - if you open the VB6 IDE and then open your
' project, your project directory will not be in your
' path and the dll will not be found.  Either
' double-click your .vbp project from Windows Explorer
' to open it or put the DMcLgLCD.dll someplace in your
' Windows path, such as C:\Windows\System32

' =======================================================
' Free for commercial and non-commercial use.  Please
' include an attribution in your distributed
' documentation and/or help/about pages.

' =======================================================


' Device Constants
Public Const LGLCD_DEVICE_BW = 1&
Public Const LGLCD_DEVICE_QVGA = 2&
Public Const LGLCD_INVALID_DEVICE = -1&

' Standard Windows Error constants
Public Const ERROR_SUCCESS = 0&
Public Const ERROR_INVALID_PARAMETER = 87&

' DLL Declares.  Remember, the VB6 IDE won't find it in your project directory if you open your project from File/Open.
Public Declare Function LcdSimpleOpen Lib "DMcLgLCD.dll" Alias "LcdSimpleOpenA" (ByVal appFriendlyName As String, ByRef deviceType As Long) As Long
Public Declare Function LcdSimpleClose Lib "DMcLgLCD.dll" () As Long
Public Declare Function LcdUpdateBitmap Lib "DMcLgLCD.dll" (ByVal connection As Long, ByVal hBitmap As Long, ByVal format As Long) As Long
Public Declare Function LcdReadSoftButtons Lib "DMcLgLCD.dll" (ByVal device As Long) As Long

' LcdSimpleOpen is aliased to the Ascii version of the function.  For Unicode use:
' Public Declare Function LcdSimpleOpen Lib "DMcLgLCD.dll" Alias "LcdSimpleOpenW" (ByVal appFriendlyName As Long, ByRef deviceType As Long) As Long
' and send StrPtr(appFriendlyName) to the function call.

' Global Variables
Global LCDDevice As Long
Global LCDDeviceType As Long
Global LCDEnabled As Boolean

Sub Main()
    Load frmMain
    frmMain.Width = 3225
    frmMain.Height = 3570
    frmMain.Show
End Sub
